Bug 48637 - Update for port devel/cppunit
Summary: Update for port devel/cppunit
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-24 16:00 UTC by lev
Modified: 2003-06-28 18:46 UTC (History)
0 users

See Also:


Attachments
file.diff (31.83 KB, patch)
2003-02-24 16:00 UTC, lev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lev 2003-02-24 16:00:27 UTC
   This PR updates `devel/cppunit' to latest 1.8.0 version.
   Documentation is not builded by default, because it need
   `devel/doxygen'.

   Added files:

      files/patch-doc::Makefile.in
Comment 1 Norikatsu Shigemura freebsd_committer 2003-04-11 17:57:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Anyone, please review it.
Comment 2 tilman+2003-04-11 2003-04-11 22:51:18 UTC
* Norikatsu Shigemura [Fr, 11 Apr 2003 at 18:58 GMT]:
> Synopsis: Update for port devel/cppunit
> 
> Responsible-Changed-From-To: freebsd-ports-bugs->kde
> Responsible-Changed-By: nork
> Responsible-Changed-When: Fri Apr 11 09:57:32 PDT 2003
> Responsible-Changed-Why: 
> Anyone, please review it.

Why did you assign this PR to kde ? If I am not completly wrong this port has
nothing to do with KDE. There is a maintainer listed, that should review this.

Small review, without testing it: If WITH_DOXYGEN and NOPORTDOCS are
defined, there is a BUILD_DEPENDENCY on doxygen, but the doxygen docs aren't
generated. Suboptimal, but not really a problem, since this combination of
knobs does not make sense.

regards
tilman
Comment 3 Norikatsu Shigemura freebsd_committer 2003-04-11 23:27:13 UTC
On Fri, 11 Apr 2003 23:51:18 +0200
Tilman Linneweh <tilman+2003-04-11@arved.de> wrote:
> > Responsible-Changed-From-To: freebsd-ports-bugs->kde
> > Responsible-Changed-By: nork
> Why did you assign this PR to kde ? If I am not completly wrong this port has
> nothing to do with KDE. There is a maintainer listed, that should review this.
> Small review, without testing it: If WITH_DOXYGEN and NOPORTDOCS are
> defined, there is a BUILD_DEPENDENCY on doxygen, but the doxygen docs aren't
> generated. Suboptimal, but not really a problem, since this combination of
> knobs does not make sense.

	Oops, I missed.  I saw devel/doxygen which devel/cppunit (new) is
	depended on.  Sorry, I'll change responsible.
Comment 4 Norikatsu Shigemura freebsd_committer 2003-04-12 07:59:15 UTC
Responsible Changed
From-To: kde->freebsd-ports-bugs

I missed direction.
Comment 5 Will Andrews 2003-06-12 05:50:53 UTC
What does the maintainer think of this update?
http://www.freebsd.org/cgi/query-pr.cgi?pr=48637

regards,
-- 
wca
Comment 6 Graeme Cross 2003-06-13 03:30:12 UTC
On Wed, 11 Jun 2003 21:50:53 -0700, "Will Andrews" <will@csociety.org>
said:
> What does the maintainer think of this update?
> http://www.freebsd.org/cgi/query-pr.cgi?pr=48637
> 
> regards,
> -- 
> wca
> 


From the testing I've done, Lev's patch looks good. Can you submit it?

The only change I would make is to change my email address to
<gcross@fastmail.fm>.

Thanks
Graeme
--
Graeme Cross
<gcross@netspace.net.au>
Comment 7 Tilman Keskinoz freebsd_committer 2003-06-26 15:17:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lev


Submitter is now a committer and can handle his PRs on his own. Welcome!
Comment 8 Lev A. Serebryakov freebsd_committer 2003-06-28 18:45:31 UTC
State Changed
From-To: open->closed


Commited, thanks.